## GwyFDCurvePreset GwyFDCurvePreset — Force-distance curve fitting presets |

## Functions

GwyInventory * | gwy_fd_curve_presets ()

## Types and Values

| GwyFDCurvePresetBuiltin
struct | GwyFDCurvePreset
struct | GwyFDCurvePresetClass

## Object Hierarchy

        GObject
        ╰── GwyResource
            ╰── GwyNLFitPreset
                ╰── GwyFDCurvePreset

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

Force-distance curve fitting presets are a particular subtype of non-linear fitting presets. They have their own class and inventory, but they are functionally identical to GwyNLFitPresets.

## Functions

### gwy_fd_curve_presets ()

    GwyInventory *
    gwy_fd_curve_presets (void);

Gets inventory with all the FD curve presets.

#### Returns

FD curve preset inventory.

Since: 2.7

## Types and Values

### GwyFDCurvePresetBuiltin

    typedef struct _GwyFDCurvePresetBuiltin GwyFDCurvePresetBuiltin;

### struct GwyFDCurvePreset

    struct GwyFDCurvePreset;

### struct GwyFDCurvePresetClass

    struct GwyFDCurvePresetClass {
    };

## See Also

GwyNLFitPreset